#-------------------------------------------------
#
# Project created by QtCreator 2010-05-27T22:49:57
#
#-------------------------------------------------

QT       += core gui
QT       += network
QT       += dbus maemo5

TARGET = fastsms
TEMPLATE = app
DEFINES = FASTSMS_APP


SOURCES += main.cpp\
    dictionary.cpp \
    button.cpp \
    busManagerCli.cpp \
    busManagerServ.cpp \
    fastsms.cpp

HEADERS  += \
    dictionary.h \
    button.h \
    ui_dialogoptions.h \
    busManagerServ.h \
    busManagerCli.h \
    test.h \
    fastsms.h

FORMS    += \
    ui_dialogoptions.ui \
    fastsms.ui

CONFIG += mobility
CONFIG += qdbus
MOBILITY += messaging
#MOBILITY += contacts

#symbian {
#    TARGET.UID3 = 0xe69eb78b
#    # TARGET.CAPABILITY +=
#    TARGET.EPOCSTACKSIZE = 0x14000
#    TARGET.EPOCHEAPSIZE = 0x020000 0x800000
#}

unix {
    # The application version
    VERSION = 0.3-2

    PREFIX = ../debian/fastsms
    BINDIR = $$PREFIX/opt/fastsms
    DATADIR = $$PREFIX/usr/share
    DEFINES += DATADIR=\"$$DATADIR\" \
        PKGDATADIR=\"$$PKGDATADIR\"
    DEFINES += APP_VERSION=\\\"$$VERSION\\\"

    # MAKE INSTALL
    INSTALLS += target dictionary service desktop icon icon64 meta

    target.path = $$BINDIR
    dictionary.path = $$BINDIR/data
    dictionary.files += data/english.idc
    dictionary.files += data/italian.idc
    dictionary.files += data/french.idc
    dictionary.files += data/spanish.idc
    dictionary.files += data/german.idc
    dictionary.files += data/portuguese.idc
    dictionary.files += data/basekey.txt
    dictionary.files += data/plain.txt
    service.path = $$DATADIR/dbus-1/services
    service.files += data/it.rsc.fastsms.service
    desktop.path = $$DATADIR/applications/hildon
    desktop.files += fastsms.desktop
    icon.path = $$BINDIR/icons
    icon.files += icons/delete.png
    icon.files += icons/left.png
    icon.files += icons/number.png
    icon.files += icons/preferences.png
    icon.files += icons/right.png
    icon.files += icons/send.png
    icon64.path = $$DATADIR/icons/hicolor/64x64/apps
    icon64.files += fastsms.png
    meta.path = $$BINDIR/meta
    meta.files = application.install
}

# used for project inside QtCreator
OTHER_FILES += \
    inputdict.txt \
    changelog.txt \
    basekey.txt \
    data/it.fastsms.service \
    data/basekey.txt \
    data/spanish.idc \
    data/english.idc \
    data/french.idc \
    data/german.idc \
    data/italian.idc \
    data/it.rsc.fastsms.service \
    data/basekey_plain.txt \
    data/plain.txt

RESOURCES += \
    resources.qrc
